Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart.swt
Class ChartCanvas

    java.lang.Object
      |
      +--Canvas
            |
            +--com.java4less.rchart.swt.ChartCanvas

All Implemented Interfaces:
  ChartListener

public class ChartCanvas
extends Canvas
implements ChartListener

SWT Canvas that renders a chart. It also captures the mouse events and sends them to the Chart object. You will normally use the ChartViewer class instead of this canvas.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.java4less.rchart.ChartListener
`EVENT_AFTER_UPDATE, EVENT_BEFORE_UPDATE, EVENT_ENTER_POINT, EVENT_LEAVE_POINT, EVENT_POINT_CLICKED, EVENT_TIP_UPDATE`

Constructor Summary
`ChartCanvas(Composite parent, int style)` create canvas

Method Summary
`void` | `chartEvent(Chart c, int type)` chart listener
`Chart` | `getChart()` get chart to display
`void` | `paintUserExit(Chart c, ChartGraphics g)` chart listener
`void` | `setChart(Chart c)` set chart to display

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartCanvas

    public ChartCanvas(Composite parent,
                       int style)

  create canvas

Parameters:
  `parent` -
  `style` -

Method Detail

### getChart

    public Chart getChart()

  get chart to display

  Returns:

### setChart

    public void setChart(Chart c)

  set chart to display

  Parameters:
    `c` -

### paintUserExit

    public void paintUserExit(Chart c,
                              ChartGraphics g)

  chart listener

  Specified by:
    `paintUserExit` in interface `ChartListener`
  Parameters:
    `c` -
    `g` -

### chartEvent

    public void chartEvent(Chart c,
                           int type)

  chart listener

  Specified by:
    `chartEvent` in interface `ChartListener`
  Parameters:
    `c` -
    `type` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD